Page MenuHome

Bool Tool addon in master throws error.
Closed, ArchivedPublic

Description

System Information
Operating system and graphics card

Win 7 64 Bit

Blender Version
Broken: (example: 2.69.7 4b206af, see splash screen)
Worked: (optional)

Current Blender Master fails.
Blender 2.79a works fine.

Short description of error

Bool Tool throws error message.

Exact steps for others to reproduce the error
Based on a (as simple as possible) attached .blend file with minimum amount of steps

Open Blender, duplicate the cube. Move it a bit. Now activate the Bool Tool Addon, which is part of Blender addons. Select both cubes with holding shift, then try to use the bool tool Difference.

This one is most probably a problem in the source code somewhere. I have used the addon version from the 2.79a folder too, which differs from the one in the master when you update the submodules. And the problem is still there.

Details

Type
Bug

Event Timeline

Sergey Sharybin (sergey) closed this task as Archived.
Sergey Sharybin (sergey) claimed this task.

This issue was fixed in rBA948d8aff914.

I've just verified and builds from buildbot do have updated version of an addon.

It seems that you're building your own Blender something is not properly updated in there. So make sure you've got proper latest addons submodule (git submodule update --remote for example).

If that doesn't help, please contact developers in ML or in IRC room. Here in bug tracker we only accept reports about official builds from blender.org sites.

Thanks for linking to the fix. Blender 2.79a comes still with addon version 0.3.8. The neweset Buildbot builds comes with 0.3.9. And this script version works now.

Having a look now why submodule update fails here. Also here, thanks for the hint.